# $Revision: 1.26.2.1 $, $Date: 2004/07/08 20:12:41 $
Summary:	dcgui-qt - QT Direct Connect client
Summary(pl):	dcgui-qt - klient Direct Connecta oparty o QT
Name:		dcgui-qt
Version:	0.3.2
Release:	2
License:	GPL v2
Group:		X11/Applications/Networking
Source0:	http://download.berlios.de/dcgui/%{name}-%{version}.tar.bz2
# Source0-md5:	079492b0ecf7cb680661a0009d5b15b3
Source1:	%{name}.desktop
Source2:	%{name}.png
URL:		http://dcgui.berlios.de/	
BuildRequires:	automake
BuildRequires:	dclib-devel = %{version}
BuildRequires:	libtool
BuildRequires:	libxml2-devel > 2.0.0
BuildRequires:	bzip2-devel
BuildRequires:	qt-devel >= 3.0.5
Requires:	dclib = %{version}
Provides:	dcgui
Obsoletes:	dcgui
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6

%description
QT Direct Connect client.

%description -l pl
Klient Direct Connecta uywajcy biblioteki QT.

%prep
%setup -q

%build
cp -f /usr/share/automake/config.* admin
%configure \
	--enable-mt \
	--with-qt-libraries=%{_libdir}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS
%attr(755,root,root) %{_bindir}/*
%dir %{_datadir}/dcgui
%{_datadir}/dcgui/icons
%{_datadir}/dcgui/sounds
%dir %{_datadir}/dcgui/translation
%lang(bs) %{_datadir}/dcgui/translation/dcgui.bs.qm
%lang(cs) %{_datadir}/dcgui/translation/dcgui.cs.qm
%lang(da) %{_datadir}/dcgui/translation/dcgui.da.qm
%lang(de) %{_datadir}/dcgui/translation/dcgui.de.qm
%lang(en_GB) %{_datadir}/dcgui/translation/dcgui.en_GB.qm
%lang(el) %{_datadir}/dcgui/translation/dcgui.el.qm
%lang(es) %{_datadir}/dcgui/translation/dcgui.es.qm
%lang(fi) %{_datadir}/dcgui/translation/dcgui.fi.qm
%lang(fr) %{_datadir}/dcgui/translation/dcgui.fr.qm
%lang(hu) %{_datadir}/dcgui/translation/dcgui.hu.qm
%lang(is) %{_datadir}/dcgui/translation/dcgui.is.qm
%lang(it) %{_datadir}/dcgui/translation/dcgui.it.qm
%lang(nb) %{_datadir}/dcgui/translation/dcgui.nb.qm
%lang(nl) %{_datadir}/dcgui/translation/dcgui.nl.qm
%lang(pl) %{_datadir}/dcgui/translation/dcgui.pl.qm
%lang(ro) %{_datadir}/dcgui/translation/dcgui.ro.qm
%lang(ru) %{_datadir}/dcgui/translation/dcgui.rus.qm
%lang(sv) %{_datadir}/dcgui/translation/dcgui.sv.qm
%lang(sk) %{_datadir}/dcgui/translation/dcgui.sk.qm
%lang(lv) %{_datadir}/dcgui/translation/dcgui.lv.qm
%{_desktopdir}/%{name}.desktop
%{_pixmapsdir}/%{name}.png

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: dcgui-qt.spec,v $
Revision 1.26.2.1  2004/07/08 20:12:41  ankry
- Ra prefix, rel. 2

Revision 1.26  2004/06/05 13:12:31  freetz
- 0.3.2

Revision 1.25  2004/05/31 17:58:45  freetz
- 0.3.1, %%files updated

Revision 1.24  2004/05/19 18:16:31  kolodko
- added icon from q# build at o2 pl
- rel++
- updated URL

Revision 1.23  2004/05/09 18:11:40  blues
- release 2

Revision 1.22  2004/05/03 18:43:04  freetz
- 0.2.22 (fixes hub name change issue)

Revision 1.21  2004/03/04 22:37:51  qboosh
- release 2

Revision 1.20  2004/03/04 21:34:24  qboosh
- pass --with-qt-libraries (for lib64 support)

Revision 1.19  2004/03/04 18:27:59  qboosh
- switched to desktopdir, refresh config.sub for amd64

Revision 1.18  2004/03/04 14:22:42  pawelb
- up to 0.2.21

Revision 1.17  2004/01/27 12:02:06  qboosh
- updated lang() for bokmaal (s/no/nb/)

Revision 1.16  2004/01/10 15:41:56  pawelb
- BR: bzip2-devel

Revision 1.15  2003/10/25 11:46:48  blues
- added provides dcgui to allow smoother upgrade

Revision 1.14  2003/10/13 10:45:52  qboosh
- fixed %%lang

Revision 1.13  2003/10/12 08:41:32  luzik
 - updated to 0.2.20
 - added "rus" translation

Revision 1.12  2003/09/15 22:17:07  luzik
 - updated to 0.2.19

Revision 1.11  2003/08/21 06:04:54  luzik
 - updated to 0.2.18

Revision 1.10  2003/08/13 09:51:13  luzik
 - updated to 0.2.17
 - added new transtations

Revision 1.9  2003/07/08 00:05:10  blues
- second part of small fixes inspired by kloczek (this time better checked,
  I hope...)

Revision 1.8  2003/06/22 15:02:40  misi3k
- updated to 0.2.16

Revision 1.7  2003/06/16 09:35:58  luzik
 - updated to 0.2.15

Revision 1.6  2003/06/08 23:13:13  luzik
 - updated to 0.2.14

Revision 1.5  2003/05/30 11:40:53  qboosh
- merged lost changes from:
  Revision 1.3  2003/05/24 12:08:51  qboosh
  - use lang() for *.qm, Obsoletes: dcgui

Revision 1.4  2003/05/26 16:24:52  malekith
- massive attack: adding Source-md5

Revision 1.3  2003/05/25 05:46:39  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.2  2003/05/23 00:25:40  luzik
 - fixed last revision misstake

Revision 1.1  2003/05/23 00:07:29  luzik
 - renamed from dcgui to dcgui-qt
 - updated to 0.2.13

Revision 1.18  2003/04/22 14:28:48  djurban
- fixed Requires: to dclib >= %%version instead
  of =

Revision 1.17  2003/04/15 21:55:53  luzik
- updated to 0.2.10

Revision 1.16  2003/04/14 15:34:55  mmazur
- updated to 0.2.9

Revision 1.15  2003/03/28 22:29:05  mmazur
- updated to 0.2.8

Revision 1.14  2003/03/22 12:06:24  djurban
- updated to 0.2.7

Revision 1.13  2003/02/14 15:31:17  blues
- 0.2.5 (versions prior 0.2.2 were broken - security hole)

Revision 1.12  2003/01/18 22:46:43  juandon
- removed two lines with define

Revision 1.11  2002/11/18 00:31:24  misiek
- updated to 0.2 beta1

Revision 1.10  2002/09/02 18:10:38  blues
- removed my experiments - STBR

Revision 1.9  2002/09/01 17:15:08  blues
- added desktop

Revision 1.8  2002/09/01 10:11:57  blues
- 0.1beta10 - ugly_fix added, the WrongWay(TM), new doc - STBR

Revision 1.7  2002/07/04 02:04:40  blues
- requires strict versions of dclib

Revision 1.6  2002/07/04 01:57:44  blues
- 0.1beta9

Revision 1.5  2002/07/04 01:39:09  blues
- release 1
NOTE: works on KDE2 with qt3 installed :)

Revision 1.4  2002/06/16 17:04:16  blues
- few fixes - NFY

Revision 1.3  2002/05/21 23:12:47  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.2  2002/05/14 19:08:50  qboosh
- typo, cosmetics

Revision 1.1  2002/05/11 19:24:15  blues
- initial release
- release 0.1 - requires qt >=3.0.1 which I don't have... should build...
